# Generated from ctioga2-0.14.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ctioga2

Name: rubygem-%{gem_name}
Version: 0.14.1
Release: 1%{?dist}
Summary: ctioga2 - the polymorphic plotting program
License: GPL-2.0+
URL: http://ctioga2.sourceforge.net
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
ctioga2 is a command-driven plotting program that produces
high quality PDF files. It can be used both from the command-line
and using command files (at the same time).
It is based on Tioga (http://tioga.sourceforge.net).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/ctioga2
%license %{gem_instdir}/COPYING
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/setup.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/Changelog

%changelog
* Mon Sep 13 2021 mockbuilder - 0.14.1-1
- Initial package
